> ## Documentation Index
> Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List model versions

<Callout icon="lock" color="#b2b1b1ff" iconType="regular">
  This feature is in [Private Preview](/support/preview-releases). For access or more information, [contact us](https://www.cerebras.ai/contact) or reach out to your account representative.
</Callout>

Get all uploaded model versions for a particular supported architecture.


## OpenAPI

````yaml get /management/v1/orgs/{org_name}/models/{model_arch_id}/versions
openapi: 3.1.0
info:
  title: Endpoint Management Orchestrator API
  version: 1.0.0
servers:
  - url: https://api.cerebras.ai
security:
  - BearerAuth: []
paths:
  /management/v1/orgs/{org_name}/models/{model_arch_id}/versions:
    get:
      summary: List model versions
      operationId: >-
        get_all_model_versions_route_management_v1_orgs__org_name__models__model_arch_id__versions_get
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: >-
              Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at
              https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.
            title: Org Name
          description: >-
            Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at
            https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.
        - name: model_arch_id
          in: path
          required: true
          schema:
            type: string
            title: Model Arch Id
            description: >-
              Name of the model architecture (e.g. `llama3.1-8b`,
              `gpt-oss-120b`).
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelVersionListResponse'
              example:
                model_versions:
                  - name: orgs/my-org/models/gpt-oss-120b/versions/1
                    done: true
                    response:
                      customer_s3_uri: s3://my-bucket/model-weights
                      version_aliases:
                        - production-jan-12-2026-finetuned
                      sync_status: done
                  - name: orgs/my-org/models/gpt-oss-120b/versions/2
                    done: false
                    response:
                      customer_s3_uri: s3://my-bucket/model-weights-v2
                      version_aliases:
                        - my-cool-version
                      sync_status: in_progress
components:
  schemas:
    ModelVersionListResponse:
      properties:
        model_versions:
          items:
            $ref: '#/components/schemas/ModelVersionStatusResponse'
          type: array
          title: Model Versions
      additionalProperties: false
      type: object
      required:
        - model_versions
      title: ModelVersionListResponse
    ModelVersionStatusResponse:
      properties:
        name:
          type: string
          title: Name
          description: >-
            Model Version ID in the format of
            `orgs/<org_name>/models/<model_arch_id>/versions/<version_id>`.
        done:
          type: boolean
          title: Done
          description: Whether the operation is complete.
        response:
          anyOf:
            - $ref: '#/components/schemas/ModelVersionStatus'
            - type: 'null'
          description: Response data with model version status information.
      additionalProperties: false
      type: object
      required:
        - name
        - done
      title: ModelVersionStatusResponse
    ModelVersionStatus:
      properties:
        customer_s3_uri:
          anyOf:
            - type: string
            - type: 'null'
          title: Customer S3 Uri
          description: S3 URI provided by the customer.
        version_aliases:
          items:
            type: string
          type: array
          title: Version Aliases
          description: List of aliases that can be used to refer to this version.
        sync_status:
          $ref: '#/components/schemas/WeightSyncStatusEnum'
          title: Sync Status
          description: Status of the weight sync operation.
        system_fingerprint_suffix:
          type: string
          title: System Fingerprint Suffix
          description: Suffix appended to the system fingerprint for this model version.
      additionalProperties: false
      type: object
      required:
        - customer_s3_uri
        - version_aliases
        - sync_status
        - system_fingerprint_suffix
      title: ModelVersionStatus
    WeightSyncStatusEnum:
      type: string
      enum:
        - not_started
        - queued
        - in_progress
        - done
        - error
        - skipped
      title: WeightSyncStatusEnum
      description: Enum representing the status of a weight sync operation.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Management API key generated from the `Management API keys` section on
        the `API keys` page at https://cloud.cerebras.ai. Use the format:
        `Bearer <MANAGEMENT_API_KEY>`

````